C     PERFORM - A FORTRAN Benchmark
      INTEGER I
      DOUBLE PRECISION A, B, C, D
C
      WRITE(6,1000)
      D = 0.0
      DO 100 I = 1, 10000
C
C       Implicit conversion.  Use of intrinsic function FLOAT
C       available in ANSI X3.9-1978 but not recommended.
        A=I
C
C       Generic names used for intrinsic functions.  Function
C       type is automatically set to that of the argument.
C       Note that TAN(x) = SIN(X)/COS(X)
C
        B = ATAN(LOG(A))
        C = A - EXP(SIN(B)/COS(B))
        D = D + C * C
  100 CONTINUE
      WRITE(6,1010) D
 1000 FORMAT(2X,'Double Precision Benchmark')
 1010 FORMAT(2X,'ERROR = ',1E9.3)
      END